<div class="card-columns">

    <ng-container *ngFor="let report of reports">
        <mat-accordion>
            <mat-expansion-panel [expanded]="true">
                <mat-expansion-panel-header class="mb-0">
                    <mat-panel-title>
                        {{report.title}}
                    </mat-panel-title>
                    <mat-divider></mat-divider>
                </mat-expansion-panel-header>
                <mat-action-list>
                    <ng-container *ngFor="let data of report.children">
                        <mat-list-item [routerLink]="['display', report.id, data.id, report.type]">
                            <h3 mat-line> {{ data.title }} </h3>
                        </mat-list-item>
                        <mat-divider></mat-divider>
                    </ng-container>
                </mat-action-list>
            </mat-expansion-panel>
        </mat-accordion>
    </ng-container>

</div>
